This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 134365 - up2date crashes when trying to get source rpms (for some pkgs)
up2date crashes when trying to get source rpms (for some pkgs)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 14:12 EDT by Ben Russo
Modified: 2007-04-18 13:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn370
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 15:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Russo 2004-10-01 14:12:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
I have up2date configured to download src rpm's whenever fetching
updates.  for the first time that I remember, *MANY* packages are not
available.  for example...

[root@bonzo RPMS]# up2date -u xemacs

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
xemacs-21.4.6-6.9.i386.rpm: ########################## Done.
File Not Found: xemacs-21.4.6-6.9.src.rpm

Error Message:
    Invalid RPM package xemacs-21.4.6-6.9.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.
[root@bonzo RPMS]# up2date -u rhn_register

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
rhn_register-2.9.12-1.2.1AS ########################## Done.
File Not Found: rhn_register-2.9.12-1.2.1AS.src.rpm

Error Message:
    Invalid RPM package rhn_register-2.9.12-1.2.1AS.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.





And, for example (to show that it does work for some things...)

[root@bonzo RPMS]# up2date -u ruby

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
ruby-1.6.4-2.AS21.0.i386.rp ########################## Done.
ruby-1.6.4-2.AS21.0.src.rpm  ruby-libs-1.6.4-2.AS21.0.i3
########################## Done.
ruby-1.6.4-2.AS21.0.src.rpm ########################## Done.
ruby-devel-1.6.4-2.AS21.0.i ########################## Done.
ruby-1.6.4-2.AS21.0.src.rpm ########################## Done.
Preparing...               
########################################### [100%]

Installing...
   1:ruby-libs             
########################################### [100%]
   2:ruby                  
########################################### [100%]
   3:ruby-devel            
########################################### [100%]
The following packages were added to your selection to satisfy
dependencies:

Name                                    Version        Release
--------------------------------------------------------------
ruby-libs                               1.6.4          2.AS21.0
ruby-devel                              1.6.4          2.AS21.0




Version-Release number of selected component (if applicable):
RHN channels are missing source RPMS.

How reproducible:
Always

Steps to Reproduce:
1. RedHat Advanced Server 2.1 system with RHN subscription.
2. Configure /etc/sysconfig/rhn/up2date to download source rpms by default
3. Try to update your packages, many of them will fail with errors
that file is not found.
    

Expected Results:  The source rpm should have been downloaded when the
binary rpm was, and the source rpm should have been left in
/var/spool/up2date on my system.

Additional info:

This prevents security updates from being installed unless we turn off
the option for downloading the source code..
Comment 1 Mihai Ibanescu 2005-09-30 15:45:39 EDT
This should be fixed now, we missed some source rpms at some point.

Note You need to log in before you can comment on or make changes to this bug.